user/dev discussion of public-inbox itself
 help / color / mirror / code / Atom feed
From: Eric Wong <e@80x24.org>
To: meta@public-inbox.org
Subject: [PATCH 1/2] examples/grok-pull.post_update_hook: use "inbox_dir"
Date: Wed, 16 Oct 2019 08:59:54 +0000	[thread overview]
Message-ID: <20191016085955.23674-2-e@80x24.org> (raw)
In-Reply-To: <20191016085955.23674-1-e@80x24.org>

Move away from using "mainrepo" since it's confusing to
new users, especially with v2.
---
 examples/grok-pull.post_update_hook.sh | 28 +++++++++++++-------------
 1 file changed, 14 insertions(+), 14 deletions(-)

diff --git a/examples/grok-pull.post_update_hook.sh b/examples/grok-pull.post_update_hook.sh
index 66c5cea5..ab4e54e7 100755
--- a/examples/grok-pull.post_update_hook.sh
+++ b/examples/grok-pull.post_update_hook.sh
@@ -15,19 +15,19 @@ if git --git-dir="$full_git_dir" ls-tree --name-only HEAD | \
 	grep -E '^(m|d)$' >/dev/null
 then
 	inbox_fmt=2
-	inbox_mainrepo=$(expr "$full_git_dir" : "$EPOCH2MAIN")
-	inbox_name=$(basename "$inbox_mainrepo")
-	msgmap="$inbox_mainrepo"/msgmap.sqlite3
+	inbox_dir=$(expr "$full_git_dir" : "$EPOCH2MAIN")
+	inbox_name=$(basename "$inbox_dir")
+	msgmap="$inbox_dir"/msgmap.sqlite3
 else
 	inbox_fmt=1
-	inbox_mainrepo="$full_git_dir"
-	inbox_name=$(basename "$inbox_mainrepo" .git)
-	msgmap="$inbox_mainrepo"/public-inbox/msgmap.sqlite3
+	inbox_dir="$full_git_dir"
+	inbox_name=$(basename "$inbox_dir" .git)
+	msgmap="$inbox_dir"/public-inbox/msgmap.sqlite3
 fi
 
 # run public-inbox-init iff unconfigured
-cfg_mainrepo=$(git config -f "$PI_CONFIG" publicinbox."$inbox_name".mainrepo)
-case $cfg_mainrepo in
+cfg_dir=$(git config -f "$PI_CONFIG" publicinbox."$inbox_name".dir)
+case $cfg_dir in
 '')
 	remote_git_url=$(git --git-dir="$full_git_dir" config remote.origin.url)
 	case $remote_git_url in
@@ -47,7 +47,7 @@ case $cfg_mainrepo in
 	esac
 
 	config_url="$remote_inbox_url"/_/text/config/raw
-	remote_config="$inbox_mainrepo"/remote.config.$$
+	remote_config="$inbox_dir"/remote.config.$$
 	trap 'rm -f "$remote_config"' EXIT
 	if curl --compressed -sSf -v "$config_url" >"$remote_config"
 	then
@@ -68,15 +68,15 @@ case $cfg_mainrepo in
 		newsgroups=
 		addresses="$inbox_name@$$.$(hostname).example.com"
 		echo >&2 "E: curl $config_url failed"
-		echo >&2 "E: using bogus <$addresses> for $inbox_mainrepo"
+		echo >&2 "E: using bogus <$addresses> for $inbox_dir"
 	fi
 	local_url="http://127.0.0.1:8080/$inbox_name"
 	public-inbox-init -V$inbox_fmt "$inbox_name" \
-		"$inbox_mainrepo" "$local_url" $addresses
+		"$inbox_dir" "$local_url" $addresses
 
 	if test $? -ne 0
 	then
-		echo >&2 "E: public-inbox-init failed on $inbox_mainrepo"
+		echo >&2 "E: public-inbox-init failed on $inbox_dir"
 		exit 1
 	fi
 
@@ -87,7 +87,7 @@ case $cfg_mainrepo in
 		# only one newsgroup per inbox
 		break
 	done
-	echo "I: $inbox_name at $inbox_mainrepo ($addresses) $local_url"
+	echo "I: $inbox_name at $inbox_dir ($addresses) $local_url"
 	;;
 esac
 
@@ -102,7 +102,7 @@ then
 		: v2 inboxes may be init-ed with an empty msgmap
 		;;
 	*)
-		$EATMYDATA public-inbox-index -v "$inbox_mainrepo"
+		$EATMYDATA public-inbox-index -v "$inbox_dir"
 		;;
 	esac
 fi

  reply	other threads:[~2019-10-16  8:59 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-10-16  8:59 [PATCH 0/2] rename "mainrepo" to "inboxdir" Eric Wong
2019-10-16  8:59 ` Eric Wong [this message]
2019-10-16  8:59 ` [PATCH 2/2] config: support "inboxdir" in addition to "mainrepo" Eric Wong
2019-10-16  9:59 ` [PATCH 3/2] config: remove redundant inboxdir check Eric Wong

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

  List information: https://public-inbox.org/README

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20191016085955.23674-2-e@80x24.org \
    --to=e@80x24.org \
    --cc=meta@public-inbox.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
Code repositories for project(s) associated with this public inbox

	https://80x24.org/public-inbox.git

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).